construct.h File Reference
`#include <boost/type_traits/has_trivial_destructor.hpp>`
`#include <boost/type_traits/is_pod.hpp>`
`#include <boost/utility/enable_if.hpp>`
`#include <iterator>`
`#include <memory>`
`#include <cassert>`

Go to the source code of this file.

## Classes

struct | osl::misc::detail::BitCopyTraits< T >
| use raw memory copy instead of placement new not to test a given pointer is null More...
struct | osl::misc::detail::BitCopyTraits< Move >
struct | osl::misc::detail::BitCopyTraits< Piece >
struct | osl::misc::detail::BitCopyTraits< Square >
struct | osl::misc::detail::BitCopyTraits< rating::RatedMove >

## Namespaces

namespace | osl
namespace | osl::rating
namespace | osl::misc
namespace | osl::misc::detail

## Functions

template<typename T1, typename T2>
void | osl::misc::construct (T1 *ptr, const T2 &value, typename boost::enable_if< detail::BitCopyTraits< T1 > >::type *=0)
template<typename T1, typename T2>
void | osl::misc::construct (T1 *ptr, const T2 &value, typename boost::disable_if< detail::BitCopyTraits< T1 > >::type *=0)
template<typename T>
void | osl::misc::destroy (T *ptr)
template<typename ForwardIterator>
void | osl::misc::destroy (ForwardIterator first, ForwardIterator last)